# Transfer holdings between subaccounts Transfers holdings between active subaccounts, within the same account. Endpoint: POST /api/ledger/{ledgerIdentifier}/transfer/subaccount Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Request fields (application/json): - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to initiate subaccount transfers on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. - `requests` (array) Collection of Subaccount transfer requests - `requests.subaccountIdentifier` (string) Id of the sub-account to which to transfer the goods - `requests.holdingCriteria` (array) Criteria for holdings associated with the sub-account transfer batch. - `requests.holdingCriteria.holdingIdentifier` (string) Holding Identifier, as returned by the holdings API Example: "476099" - `requests.holdingCriteria.quantity` (number) Quantity of holding to be used in this operation Example: 3 - `requests.correlationId` (string) Client system correlation Id – allows the caller to correlate between requests and responses ## Response 200 fields (application/json): - `responses` (array) Bulk Subaccount Transfer response - `responses.correlationId` (string) Matches the correlationId provided in the subaccount transfer request. - `responses.transferBatchIdentifier` (string) Transfer batch identifier for the Subaccount Transfer Batch associated with subaccount transfer